Bug 229184 - Bad autofs package
Bad autofs package
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-19 07:56 EST by Glenn Rottingen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-27 13:49:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Glenn Rottingen 2007-02-19 07:56:11 EST
Description of problem:

=============================================================================
Updating:
 autofs                  x86_64     1:5.0.1-0.rc3.19  updates           805 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total download size: 805 k
Downloading Packages:
(1/1): autofs-5.0.1-0.rc3 100% |=========================| 805 kB    00:01     
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : autofs                       ######################### [1/2] 
error: unpacking of archive failed on file
/usr/share/man/man8/autofs.8.gz;45d99a7b: cpio: open

Updated: autofs.x86_64 1:5.0.1-0.rc3.19



Version-Release number of selected component (if applicable):

[root@localhost ~]# uname -a
Linux localhost.localdomain 2.6.19-1.2911.fc6xen #1 SMP Sat Feb 10 15:34:39 EST
2007 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost ~]#
Comment 1 Ian Kent 2007-02-19 08:31:23 EST
(In reply to comment #0)
> Description of problem:
> 
> =============================================================================
> Updating:
>  autofs                  x86_64     1:5.0.1-0.rc3.19  updates           805 k
> 
> Transaction Summary
> =============================================================================
> Install      0 Package(s)         
> Update       1 Package(s)         
> Remove       0 Package(s)         
> 
> Total download size: 805 k
> Downloading Packages:
> (1/1): autofs-5.0.1-0.rc3 100% |=========================| 805 kB    00:01     
> Running Transaction Test
> Finished Transaction Test
> Transaction Test Succeeded
> Running Transaction
>   Updating  : autofs                       ######################### [1/2] 
> error: unpacking of archive failed on file
> /usr/share/man/man8/autofs.8.gz;45d99a7b: cpio: open
> 
> Updated: autofs.x86_64 1:5.0.1-0.rc3.19
> 
> 
> 
> Version-Release number of selected component (if applicable):
> 
> [root@localhost ~]# uname -a
> Linux localhost.localdomain 2.6.19-1.2911.fc6xen #1 SMP Sat Feb 10 15:34:39 EST
> 2007 x86_64 x86_64 x86_64 GNU/Linux
> [root@localhost ~]#

It's not the package:
[raven@raven ~]$ rpm -K autofs-5.0.1-0.rc3.19.x86_64.rpm
autofs-5.0.1-0.rc3.19.x86_64.rpm: (sha1) dsa sha1 md5 gpg OK
[raven@raven ~]$ rpm -Uvh autofs-5.0.1-0.rc3.19.x86_64.rpm
error: can't create transaction lock on /var/lib/rpm/__db.000
[raven@raven ~]$ su
Password: 
[root@raven raven]# rpm -Uvh autofs-5.0.1-0.rc3.19.x86_64.rpm
Preparing...                ########################################### [100%]
   1:autofs                 ########################################### [100%]
[root@raven raven]# uname -a
Linux raven.themaw.net 2.6.18-1.2961.el5 #1 SMP Wed Jan 3 14:35:32 EST 2007
x86_64 x86_64 x86_64 GNU/Linux
[root@raven raven]# 

Which mirror did yum use?
Is your network link OK?

Ian
Comment 2 Glenn Rottingen 2007-02-20 20:02:57 EST
The /var/share/man/man8 directory was corrupt?  On two separate machines!

Renamed man8 to man8y
Copied man8x to man8

Reran yum -y update.

This worked.

PS.  Any reason why man8 would be corrupt on two machines???  Both x86_64's. One
AMD (above) and one Pentium 940.  Both use XFS on / partition under LVM.
Comment 3 Jeffrey Moyer 2007-02-21 12:47:22 EST
There is not enough information to determine why your man8 directories were
corrupt.  You have a couple of options, here:
1) Close this bug as NOTABUG
2) refile against kernel (by changing the component and re-assigning to the
component owner)
Comment 4 Jeffrey Moyer 2007-02-27 13:49:03 EST
I'm closing the bug.  You can re-open it if you have enough information to
provide to further triage the problem.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.